Subject: Route Entry Updation

From: Mani M <[email-masked]>
Date: Fri, 19 Nov 1999 15:27:58 +0530

Hi 

The MRT entries are updated whenever there is a unicast routing change
or on receipt of PIM control messages such as a Join/ prune message.

For Eg
(i) section 2.10 of RFC 2362 states
When unicast routing changes, an RPF check is done on all active
(S,G), (*,G) and (*,*,RP) entries, and all affected expected incoming
interfaces are updated.  

(ii) The last paragraph of section 2.4 of RFC2362
states that
"each router that receives a (*,G) Join/Prune message updates all existing
(S,G)RPT-bit entries"

Like this there are numerous situations where updations on MRT entries 
has to done and that too periodically (eg a Join /Prune message).

Suppose a MRT contains 2000 entries,
 
I suppose the performance and finally the operation of the protocol itself will be
affected when a updation is performed on a large sized MRT that too priodically for every Join/Prune messages as each entry has to be analysed on whether an update is required or not.
Pl correct me 
Is there any solution to overcome this problem ?

Thanks
Mani